## octave-arduino 0.3.0

=== DESCRIPTION ===
Name: arduino
Version: 0.3.0
Date: 2018-10-15
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Octave Arduino Toolkit
Description: Basic Octave implementation of the matlab arduino extension,
 allowing communication to a programmed arduino board to control its
 hardware.
Categories: Arduino Toolkit
Depends: octave (>= 4.0.0), instrument-control (>= 0.3.0)
SystemRequirements: arduino-ide (>= 1.5)
License: GPLv3+
Url: https://octave.sourceforge.io/arduino/

=== debian/changelog ===
octave-arduino (0.3.0-2) unstable; urgency=medium

  * d/control: Drop the Testsuite header.
    The unit tests should be exercised in the Debian CI infrastructure,
    because they depend on an Arduino board connected to the system.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 20 Jan 2019 08:47:38 -0200

octave-arduino (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jan 2019 19:13:07 -0200

octave-arduino (0.2.0-1) unstable; urgency=low

  * Initial release (closes: #912761)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 Jan 2019 06:51:51 -0200

=== debian/control ===
Source: octave-arduino
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.6.1),
               texlive
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/arduino/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino

Package: octave-arduino
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends},
         arduino
Description: Octave Arduino Toolkit
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.

## octave-arduino 0.4.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.3.0
-Date: 2018-10-15
+Version: 0.4.0
+Date: 2019-05-21
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit

=== debian/changelog ===
octave-arduino (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * d/copyright:
    + Reflect upstream changes
    + Add copyright information for octave-arduino.metainfo.xml
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/p/info-dir-section.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 08:39:51 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-octave (>= 0.6.1),
                texlive
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://octave.sourceforge.io/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

### Disable unit testing.  The tests fail massively because most of
### them needs an Arduino system connected to the system.
export DEB_BUILD_MAINT_OPTIONS = nocheck

%:
	dh $@ --buildsystem=octave --with=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	( cd doc ;					\
	  makeinfo --no-split arduino.texi ;		\
	  makeinfo --html --no-split arduino.texi ;	\
	  texi2pdf arduino.texi )
	dh_auto_build
endif

## octave-arduino 0.5.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.4.0
-Date: 2019-05-21
+Version: 0.5.0
+Date: 2020-02-06
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit

=== debian/changelog ===
octave-arduino (0.5.0-2) unstable; urgency=medium

  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Jul 2020 12:50:50 -0300

octave-arduino (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/copyright: Reflect upstream changes
  * d/rules: Ensure that documentation building succeeds
  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Add Rules-Requires-Root: no
  * d/t/{control,no-test}: Add dummy test file to prevent triggering of
    autodep8

 -- Rafael Laboissière <rafael@debian.org>  Tue, 03 Mar 2020 11:26:06 +0100

## octave-arduino 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.5.0
-Date: 2020-02-06
+Version: 0.6.0
+Date: 2020-09-04
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit

=== debian/changelog ===
octave-arduino (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Rafael Laboissière <rafael@debian.org>  Sat, 26 Sep 2020 09:33:27 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.6.1),
                texlive
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino
+Rules-Requires-Root: no
 
 Package: octave-arduino
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,6 @@
 	( cd doc ;					\
 	  makeinfo --no-split arduino.texi ;		\
 	  makeinfo --html --no-split arduino.texi ;	\
-	  texi2pdf arduino.texi )
+	  texi2pdf arduino.texi || true )
 	dh_auto_build
 endif

## octave-arduino 0.8.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.6.0
-Date: 2020-09-04
+Version: 0.8.0
+Date: 2022-01-16
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit

=== debian/changelog ===
octave-arduino (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 19 Jan 2022 10:54:16 -0300

octave-arduino (0.7.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/rules: Use target execute_before_dh_auto_build instead of
    override_dh_auto_build

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 09:34:52 -0300

octave-arduino (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 07 May 2021 14:11:32 -0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.6.1),
                texlive
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino

=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 	dh $@ --buildsystem=octave --with=octave
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	( cd doc ;					\
 	  makeinfo --no-split arduino.texi ;		\
 	  makeinfo --html --no-split arduino.texi ;	\
 	  texi2pdf arduino.texi || true )
-	dh_auto_build
 endif

=== debian/watch ===
version=4
http://sf.net/octave/arduino-(.+)\.tar\.gz

## octave-arduino 0.9.1

=== DESCRIPTION ===
Name: arduino
Version: 0.9.1
Date: 2022-07-13
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Octave Arduino Toolkit
Description: Basic Octave implementation of the matlab arduino extension,
 allowing communication to a programmed arduino board to control its
 hardware.
Categories: Arduino Toolkit
Depends: octave (>= 4.0.0), instrument-control (>= 0.5.0)
SystemRequirements: arduino-ide (>= 1.5)
License: GPLv3+
Url: https://octave.sourceforge.io/arduino/

=== debian/changelog ===
octave-arduino (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call

 -- Rafael Laboissière <rafael@debian.org>  Sat, 16 Jul 2022 07:40:01 -0300

octave-arduino (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 06 May 2022 17:09:39 -0300

## octave-arduino 0.10.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.9.1
-Date: 2022-07-13
+Version: 0.10.0
+Date: 2022-09-13
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit

=== debian/changelog ===
octave-arduino (0.10.0-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 06:30:37 -0300

octave-arduino (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Sep 2022 03:54:18 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.6.1),
+               dh-sequence-octave,
                texlive
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = nocheck
 
 %:
-	dh $@ --buildsystem=octave --with=octave
+	dh $@ --buildsystem=octave
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/arduino/ \
  https://downloads.sourceforge.net/project/octave/Octave%20Forge%20Packages/Individual%20Package%20Releases/arduino-(.+).tar.gz

## octave-arduino 0.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.10.0
-Date: 2022-09-13
+Version: 0.11.0
+Date: 2023-07-19
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit

=== debian/changelog ===
octave-arduino (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * Use tarball URL from GitHub
    + d/watch: Ditto
    + d/s/lintian-overrides: Drop obsolete override
  * d/s/lintian-overrides: New file

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jul 2023 10:46:24 -0300

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                texlive
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/arduino/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino
 Rules-Requires-Root: no

## octave-arduino 0.12.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.11.0
-Date: 2023-07-19
+Version: 0.12.1
+Date: 2023-01-04
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit
@@ -11,4 +11,5 @@
 Depends: octave (>= 4.0.0), instrument-control (>= 0.5.0)
 SystemRequirements: arduino-ide (>= 1.5)
 License: GPLv3+
-Url: https://octave.sourceforge.io/arduino/
+Url: https://gnu-octave.github.io/octave-arduino/
+Repository: https://github.com/gnu-octave/octave-arduino/

=== debian/changelog ===
octave-arduino (0.12.1-2) unstable; urgency=medium

  * d/u/metadata:
    + Update upstream repository URLs
    + Update Bug-Database and Bug-Submit URLs
  * Compile and install the Qt Help files
    + d/control: Build-deped on dh-octave >= 1.8.0 and python3
    + New patches:
      - d/p/add-Makefile.patch
      - d/p/add-mkfuncdocs-py.patch
      - d/p/add-mkqhcp-py.patch
    + d/rules: Build arduino.{qch,qhc} files
    + d/octave-arduino.docs: Add file doc/arduino.css
  * d/octave-arduino.doc-base: Declare Info files
  * d/s/lintian-overrides: Override Lintian warning
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Feb 2024 11:57:55 -0300

octave-arduino (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Improve comments
  * d/s/options: Drop useless file
  * d/rules: Simplify rule for building the documentation
  * d/clean: Reduce list of cleaned files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 18:57:07 -0300

octave-arduino (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * d/copyright: Update years list for copyright of debian/* file
  * d/s/lintian-overrides: Fix typos in override description

 -- Rafael Laboissière <rafael@debian.org>  Mon, 01 Jan 2024 14:25:40 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
+               python3,
                texlive
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/arduino/

## octave-arduino 0.12.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.12.1
-Date: 2023-01-04
+Version: 0.12.2
+Date: 2025-04-16
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit

=== debian/changelog ===
octave-arduino (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2
  * d/copyright: Reflect upstream changes
  * d/p/add-mkfuncdocs-py.patch: Drop patch (applied upstream)
  * d/p/add-mkqhcp-py.patch: Drop patch (applied upstream)
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
  * d/source/lintian-overrides: Drop unused override source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Tue, 22 Apr 2025 09:40:52 -0300

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               python3,
-               texlive
-Standards-Version: 4.6.2
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:
-	( cd doc ;					\
-	  makeinfo --no-split arduino.texi ;		\
-	  makeinfo --html --no-split arduino.texi ;	\
-	  texi2pdf arduino.texi || true )
+	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
+	make -k docs doc/arduino.info
 endif

=== debian/tests/control ===
Tests: no-test
Restrictions: superficial

=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/arduino/ \
  https://github.com/gnu-octave/octave-arduino/releases/download/release-.+/arduino-(.+).tar.gz

## octave-arduino 0.12.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.12.2
-Date: 2025-04-16
+Version: 0.12.3
+Date: 2025-12-31
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit
@@ -13,3 +13,4 @@
 License: GPLv3+
 Url: https://gnu-octave.github.io/octave-arduino/
 Repository: https://github.com/gnu-octave/octave-arduino/
+Tracker: https://github.com/gnu-octave/octave-arduino/issues

=== Makefile ===
## Copyright 2015-2016 Mike Miller
## Copyright 2015-2016 Carnë Draug
## Copyright 2015-2016 Oliver Heimlich
## Copyright 2018-2023 John Donoghue
##
## Copying and distribution of this file, with or without modification,
## are permitted in any medium without royalty provided the copyright
## notice and this notice are preserved.  This file is offered as-is,
## without any warranty.

## Makefile to simplify Octave Forge package maintenance tasks
TOPDIR := $(shell pwd)

## Some shell programs
MD5SUM    ?= md5sum
SED       ?= sed
GREP      ?= grep
TAR       ?= tar
TEXI2PDF  ?= texi2pdf -q
MAKEINFO  ?= makeinfo
MAKEINFO_HTML_OPTIONS := --no-headers --set-customization-variable 'COPIABLE_LINKS 0' --set-customization-variable 'COPIABLE_ANCHORS 0' --no-split 
CUT ?= cut
TR ?= tr

# work out a possible help generator
ifeq ($(strip $(QHELPGENERATOR)),)
  ifneq ($(shell qhelpgenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qhelpgenerator-qt5
  #else ifneq ($(shell qhelpgenerator -qt5 -v 2>/dev/null),)
  #  v4 wont process collection files, but returns ok status on version
  #  QHELPGENERATOR = qhelpgenerator -qt5
  else ifneq ($(shell qcollectiongenerator -qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator -qt5
  else ifneq ($(shell qcollectiongenerator-qt5 -v 2>/dev/null),)
    QHELPGENERATOR = qcollectiongenerator-qt5
  else
    QHELPGENERATOR = true
  endif
endif

## Detect which VCS is used
vcs := $(if $(wildcard .hg),hg,$(if $(wildcard .git),git,unknown))
ifeq ($(vcs),hg)
release_dir_dep := .hg/dirstate
HG           := hg
HG_CMD        = $(HG) --config alias.$(1)=$(1) --config defaults.$(1)= $(1)
HG_ID        := $(shell $(call HG_CMD,identify) --id | sed -e 's/+//' )
REPO_TIMESTAMP := $(firstword $(shell $(call HG_CMD,log) --rev $(HG_ID) --template '{date|hgdate}'))
endif
ifeq ($(vcs),git)
release_dir_dep := .git/index
GIT          := git
REPO_TIMESTAMP := $(firstword $(shell $(GIT) log -n1 --date=unix --format="%ad"))
endif

TAR_REPRODUCIBLE_OPTIONS := --sort=name --mtime="@$(REPO_TIMESTAMP)" --owner=0 --group=0 --numeric-owner
TAR_OPTIONS  := --format=ustar $(TAR_REPRODUCIBLE_OPTIONS)

### Note the use of ':=' (immediate set) and not just '=' (lazy set).
### http://stackoverflow.com/a/448939/1609556
PACKAGE := $(shell $(GREP) "^Name: " DESCRIPTION | $(CUT) -f2 -d" " | \
$(TR) '[:upper:]' '[:lower:]')
VERSION := $(shell $(GREP) "^Version: " DESCRIPTION | $(CUT) -f2 -d" ")
DEPENDS := $(shell $(SED) -n -e 's/^Depends[^,]*, \(.*\)/\1/p' DESCRIPTION | $(SED) 's/ *([^()]*),*/ /g')
DATE := $(shell $(SED) -n -e 's/^Date: *\(\w\+\)/\1/p' DESCRIPTION)

## This are the files that will be created for the releases.
TARGET_DIR      := release
RELEASE_DIR     := $(TARGET_DIR)/$(PACKAGE)-$(VERSION)
RELEASE_TARBALL := $(TARGET_DIR)/$(PACKAGE)-$(VERSION).tar.gz
HTML_DIR        := $(TARGET_DIR)/$(PACKAGE)-html
HTML_TARBALL    := $(TARGET_DIR)/$(PACKAGE)-html.tar.gz

## Octave binaries
MKOCTFILE ?= mkoctfile
OCTAVE    ?= octave

## Targets that are not filenames.
## https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html
.PHONY: help dist html release install all check run clean

## make will display the command before runnning them.  Use @command
## to not display it (makes specially sense for echo).
help:
	@echo "Targets:"
	@echo "   dist             - Create $(RELEASE_TARBALL) for release"
	@echo "   html             - Create $(HTML_TARBALL) for release"
	@echo "   release          - Create both of the above and show md5sums"
	@echo
	@echo "   install          - Install the package in GNU Octave"
	@echo "   all              - Build all oct files"
	@echo "   run              - Run Octave with development in PATH (no install)"
	@echo "   check            - Execute package tests (w/o install)"
	@echo "   doctest          - Tests only the help text via the doctest package"
	@echo
	@echo "   clean            - Remove releases, html documentation, and oct files"

# dist and html targets are only PHONY/alias targets to the release
# and html tarballs.
dist: $(RELEASE_TARBALL)
html: $(HTML_TARBALL)

# An implicit rule with a recipe to build the tarballs correctly.
%.tar.gz: %
	tar -cf - $(TAR_OPTIONS) -C "$(TARGET_DIR)/" "$(notdir $<)" | gzip -9n > "$@"

# Some packages are distributed outside Octave Forge in non tar.gz format.
%.zip: %
	cd "$(TARGET_DIR)" ; zip -9qr - "$(notdir $<)" > "$(notdir $@)"

# Create the unpacked package.
#
# Notes:
#    * having release_dir_dep as a prerequesite  means it is only rebuilt
#      if we are at a different commit.
#    * the variable RM usually defaults to "rm -f"
#    * having this recipe separate from the one that makes the tarball
#      makes it easy to have packages in alternative formats (such as zip)
#    * note that if a commands needs to be ran in a specific directory,
#      the command to "cd" needs to be on the same line.  Each line restores
#      the original working directory.
$(RELEASE_DIR): $(release_dir_dep)
	@echo "Creating package version $(VERSION) release ..."
	$(RM) -r "$@"
ifeq (${vcs},hg)
	$(HG) archive --exclude ".hg*" --type files "$@"
endif
ifeq (${vcs},git)
	$(GIT) archive --format=tar --prefix="$@/" HEAD | $(TAR) -x
	$(RM) "$@/.gitignore"
endif
	$(MAKE) -C "$@" docs
	# remove dev stuff
	cd "$@" && $(RM) -rf "devel/" && $(RM) -rf "deprecated/" 
	# && $(RM) -f doc/mkfuncdocs.py doc/mkqhcp.py
	cd "$@" && $(RM) Makefile
	chmod -R a+rX,u+w,go-w "$@"

.PHONY: docs
docs: doc/$(PACKAGE).pdf doc/$(PACKAGE).qhc doc/$(PACKAGE).html

cleandocs:
	$(RM) -f doc/$(PACKAGE).info
	$(RM) -f doc/$(PACKAGE).pdf
	$(RM) -f doc/$(PACKAGE).html
	$(RM) -f doc/functions.texi
	$(RM) -f doc/version.texi
	$(RM) -f doc/$(PACKAGE).qhc doc/$(PACKAGE).qch

doc/version.texi: $(release_dir_dep)
	@echo Generating $@
	@echo "@c autogenerated from Makefile" > $@
	@echo "@set VERSION $(VERSION)" >> $@
	@echo "@set PACKAGE $(PACKAGE)" >> $@
	@echo "@set DATE $(DATE)" >> $@

doc/$(PACKAGE).pdf: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(TEXI2PDF) $(PACKAGE).texi
	# remove temp files
	cd doc && $(RM) -f arduino.aux  arduino.cp  arduino.cps  arduino.fn  arduino.fns  arduino.log  arduino.toc

doc/$(PACKAGE).html: doc/$(PACKAGE).texi doc/functions.texi doc/version.texi
	cd doc && SOURCE_DATE_EPOCH=$(REPO_TIMESTAMP) $(MAKEINFO) --html --css-ref=$(PACKAGE).css $(MAKEINFO_HTML_OPTIONS) --output=${PACKAGE}.html $(PACKAGE).texi

doc/$(PACKAGE).qhc: doc/$(PACKAGE).html
	# try also create qch file if can
	cd doc && ./mkqhcp.py $(PACKAGE) && $(QHELPGENERATOR) $(PACKAGE).qhcp -o $(PACKAGE).qhc
	cd doc && $(RM) -f $(PACKAGE).qhcp $(PACKAGE).qhp

doc/functions.texi: $(release_dir_dep)
	cd doc && ./mkfuncdocs.py --src-dir=../inst/ --src-dir=../inst/sensors/ ../INDEX | $(SED) 's/@seealso/@xseealso/g' > functions.texi

# install is a prerequesite to the html directory (note that the html
# tarball will use the implicit rule for ".tar.gz" files).
html_options = --eval 'options = get_html_options ("octave-forge");' \
               --eval 'options.package_doc = "$(PACKAGE).texi";' \
	       --eval 'options.package_doc_options = [options.package_doc_options " --css-include=$(PACKAGE).css"];'
$(HTML_DIR): install
	@echo "Generating HTML documentation. This may take a while ..."
	$(RM) -r "$@"
	$(OCTAVE)  --no-gui --no-window-system --silent \
	  --eval "pkg load generate_html; " \
	  --eval "pkg load $(PACKAGE);" \
	  $(html_options) \
	  --eval 'generate_package_html ("${PACKAGE}", "$@", options);'
	chmod -R a+rX,u+w,go-w $@

# To make a release, build the distribution and html tarballs.
release: dist html
	@$(MD5SUM) $(RELEASE_TARBALL) $(HTML_TARBALL)
	@echo "Upload @ https://sourceforge.net/p/octave/package-releases/new/"
	@echo "    and inform to rebuild release with '$$($(HG) id)'"
	@echo 'Execute: hg tag "release-${VERSION}"'

install: $(RELEASE_TARBALL)
	@echo "Installing package locally ..."
	$(OCTAVE)  --no-gui --silent --eval 'pkg ("install", "-verbose", "$(RELEASE_TARBALL)")'

clean: cleandocs
	$(RM) -r $(RELEASE_DIR) $(RELEASE_TARBALL) $(HTML_TARBALL) $(HTML_DIR)

#
# Recipes for testing purposes
#

# Build any requires oct files.  Some packages may not need this at all.
# Other packages may require a configure file to be created and run first.
all:

# Start an Octave session with the package directories on the path for
# interactice test of development sources.
run: all
	$(OCTAVE)  --no-gui --silent --persist --path "$(TOPDIR)/inst/" \
	  --eval 'if(!isempty("$(DEPENDS)")); pkg load $(DEPENDS); endif;'

rungui: all
	$(OCTAVE) --silent --gui --persist --path "$(TOPDIR)/inst/" \
	  --eval 'if(!isempty("$(DEPENDS)")); pkg load $(DEPENDS); endif;'

# Test example blocks in the documentation.  Needs doctest package
#  http://octave.sourceforge.net/doctest/index.html
doctest: all
	$(OCTAVE) --no-gui --path "$(TOPDIR)/inst/" \
	  --eval 'if(!isempty("$(DEPENDS)")); pkg load $(DEPENDS); endif;' \
	  --eval 'pkg load doctest;' \
	  --eval 'doctest ("$(TOPDIR)/inst/");'

# Note "doctest" as prerequesite.  When testing the package, also check
# the documentation.
check: all
	$(OCTAVE) --no-gui --silent --path "$(TOPDIR)/inst/" \
	  --eval 'if(!isempty("$(DEPENDS)")); pkg load $(DEPENDS); endif;' \
	  --eval "__run_test_suite__ ({'$(TOPDIR)/inst'}, {})"

=== debian/changelog ===
octave-arduino (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/salsa-ci.yml: New file
  * d/p/add-Makefile.patch: Drop patch (applied upstream)
  * d/s/lintian-overrides: Drop unused Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Jan 2026 12:32:52 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Homepage: https://gnu-octave.github.io/packages/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino
-Rules-Requires-Root: no
 
 Package: octave-arduino
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: gnu-octave
Project: octave-arduino
